Affiliated agencies
curl --request GET \
--url https://api.eliteprospects.com/v1/agencies/{id}/affiliates \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/agencies/{id}/affiliates"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/agencies/{id}/affiliates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"id": 123,
"name": "<string>",
"logoUrl": "<string>",
"location": "<string>",
"email": "<string>",
"country": {
"slug": "<string>",
"name": "<string>",
"iso_3166_1_alpha_2": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"secondaryCountry": {
"slug": "<string>",
"name": "<string>",
"iso_3166_1_alpha_2": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"verified": true,
"info": "<string>",
"numberOfClients": 123,
"agents": [
"<string>"
],
"eliteprospectsUrlPath": "<string>",
"links": {
"webUrl": "<string>",
"facebook": "<string>",
"x": "<string>",
"twitter": "<string>",
"instagram": "<string>"
},
"updatedAt": "<string>",
"_links": [
"<string>"
]
}
]
}Agency
Affiliated agencies
Agencies affiliated with this agency. Use the fields parameter to customize response fields.
GET
/
agencies
/
{id}
/
affiliates
Affiliated agencies
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Path Parameters
Numeric ID of the agency to get agencies for
Query Parameters
Specify custom response with available response fields.
Fields included as default: id, name, logoUrl, location, email, country, secondaryCountry, verified, info, numberOfClients, agents, eliteprospectsUrlPath, links, updatedAt, _links
Available options:
id, name, logoUrl, location, email, country, secondaryCountry, verified, info, numberOfClients, agents, eliteprospectsUrlPath, links, updatedAt, _links, country.*, secondaryCountry.*, links.*, * The number of items to skip before starting to collect the result set.
Required range:
x >= 0The number of items to return.
Required range:
0 <= x <= 1000Sort results by field name. Prefix with - for descending order (e.g., -name).
Available options:
id, -id, name, -name, country, -country, updatedAt, -updatedAt Filter by id
Filter by id greater than
Filter by name
Filter by country slug in ISO 3166-1 alpha-3
Filter by verified
Filter by updatedAt greater or equal to in ISO-8601 format for date and time